Skip to main content
GET
/
v0
/
issues
List issues
curl --request GET \
  --url https://api.avidoai.com/v0/issues \
  --header 'x-api-key: <api-key>' \
  --header 'x-application-id: <api-key>'
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "orgId": "org_123456",
      "title": "Response quality degradation",
      "summary": "The chatbot is providing incomplete responses",
      "status": "OPEN",
      "source": "TEST",
      "priority": "HIGH",
      "type": "BUG",
      "assignedTo": "user_789012",
      "applicationId": "456e7890-e89b-12d3-a456-426614174000",
      "testId": "789e4567-e89b-12d3-a456-426614174000",
      "annotationId": null,
      "traceId": "trace_abc123",
      "createdAt": "2024-01-05T12:34:56.789Z",
      "modifiedAt": "2024-01-05T12:34:56.789Z"
    }
  ],
  "pagination": {
    "skip": 0,
    "limit": 25,
    "total": 1,
    "totalPages": 1
  }
}

Authorizations

x-api-key
string
header
required

Your unique Avido API key

x-application-id
string
header
required

Your unique Avido Application ID

Query Parameters

skip
integer
default:0

Number of items to skip before starting to collect the result set.

Required range: 0 <= x <= 9007199254740991
Example:

0

limit
integer

Number of items to include in the result set.

Required range: 1 <= x <= 100
Example:

25

orderBy
string
default:createdAt

Field to order by in the result set.

Example:

"createdAt"

orderDir
enum<string>
default:desc

Order direction.

Available options:
asc,
desc
Example:

"desc"

status
enum<string>

Filter by issue status

Available options:
OPEN,
RESOLVED,
REJECTED
Example:

"OPEN"

priority
enum<string>

Filter by issue priority

Available options:
LOW,
MEDIUM,
HIGH
Example:

"HIGH"

source
enum<string>

Filter by issue source

Available options:
TEST,
TASK,
TOPIC,
SYSTEM,
MONITORING,
API
Example:

"TEST"

type
enum<string>

Filter by issue type

Available options:
BUG,
HUMAN_ANNOTATION,
SUGGESTED_TASK,
USER_SIGNAL
Example:

"BUG"

assignedTo
string

Filter by assignee user ID

Example:

"user_789012"

testId
string<uuid>

Filter by associated test ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"789e4567-e89b-12d3-a456-426614174000"

annotationId
string<uuid>

Filter by associated annotation ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Example:

"890e5678-e89b-12d3-a456-426614174000"

start
string<date-time>

Start date (ISO8601) for filtering issues by creation date

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-01T00:00:00Z"

end
string<date-time>

End date (ISO8601) for filtering issues by creation date

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
Example:

"2025-01-31T23:59:59Z"

Response

Successfully retrieved issues

Paginated response containing grouped issues

data
object[]
required
pagination
PaginationResponse · object
required

Pagination metadata returned in a paginated response.